Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`plugins`.`cred_unix``

module documentation
(source)

Cred plugin for UNIX user accounts.

Class | `UNIXChecker` | A credentials checker for a UNIX server. This will check that an authenticating username/password is a valid user on the system.
Class | `UNIXCheckerFactory` | A factory for `UNIXChecker`.
Function | `verifyCryptedPassword` | Use `crypt.crypt` to Verify that an unencrypted password matches the encrypted password.
Variable | `theUnixCheckerFactory` | Undocumented
Variable | `unixCheckerFactoryHelp` | Undocumented

def verifyCryptedPassword(crypted, pw): (source)

Use `crypt.crypt` to Verify that an unencrypted password matches the encrypted password.

Parameters
crypted | The encrypted password, obtained from the Unix password database or Unix shadow password database.
pw | The unencrypted password.
Returns
`bool` | `True` if there is successful match, else `False`.

theUnixCheckerFactory = (source)

Undocumented

unixCheckerFactoryHelp: `str` = (source)

Undocumented